This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 704757 - [abrt] gedit-1:2.28.0-1.fc12: functions.py:277:capture_end_execute_panel:AttributeError: 'gtk.TextBuffer' object has no attribute 'get_uri'
[abrt] gedit-1:2.28.0-1.fc12: functions.py:277:capture_end_execute_panel:Attr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:a30c763a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-14 12:49 EDT by EL FATHI ANAS
Modified: 2016-02-10 09:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (930 bytes, text/plain)
2011-05-14 12:49 EDT, EL FATHI ANAS
no flags Details

  None (edit)
Description EL FATHI ANAS 2011-05-14 12:49:27 EDT
abrt version: 1.1.13
architecture: i686
cmdline: gedit classEx.cpp
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.31.5-127.fc12.i686.PAE
package: gedit-1:2.28.0-1.fc12
reason: functions.py:277:capture_end_execute_panel:AttributeError: 'gtk.TextBuffer' object has no attribute 'get_uri'
release: Fedora release 12 (Constantine)
time: 1305377302
uid: 500

backtrace
-----
functions.py:277:capture_end_execute_panel:AttributeError: 'gtk.TextBuffer' object has no attribute 'get_uri'

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/externaltools/functions.py", line 277, in capture_end_execute_panel
    language = lmanager.guess_language(doc.get_uri(), mtype)
AttributeError: 'gtk.TextBuffer' object has no attribute 'get_uri'

Local variables in innermost frame:
lmanager: <gtksourceview2.LanguageManager object at 0x8fe0644 (GtkSourceLanguageManager at 0x8aba220)>
end: <GtkTextIter at 0x8f44a78>
capture: <Capture object at 0x8fe0e14 (externaltools+capture+Capture at 0x90bf490)>
doc: <gtk.TextBuffer object at 0x8ff0644 (GtkTextBuffer at 0x8f760a0)>
exit_code: 0
mtype: 'text/plain'
start: <GtkTextIter at 0x8f872b8>
output_type: 'new-document'
panel: <externaltools.outputpanel.OutputPanel instance at 0x8fedd6c>
view: <gedit.View object at 0x8fd6554 (GeditView at 0x9039230)>
Comment 1 EL FATHI ANAS 2011-05-14 12:49:30 EDT
Created attachment 498940 [details]
File: backtrace
Comment 2 Jan Kurik 2015-12-22 06:31:02 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.